Bug 2064263 - aarch64 Fedora Python Classroom Lab fails to build for not having enough disk space
Summary: aarch64 Fedora Python Classroom Lab fails to build for not having enough disk...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException, FailedQA
Depends On:
Blocks: F36BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-03-15 12:40 UTC by Miro Hrončok
Modified: 2022-03-23 23:24 UTC (History)
2 users (show)

Fixed In Version: Fedora-Python-Classroom-36-20220323.n.0, Fedora-Python-Classroom-Rawhide-20220323.n.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-23 23:24:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2022-03-15 12:40:32 UTC
See bz1695796.

This now happens on aarch64 Disk (while the fix for bz1695796 only increased space for Live). This should fix it: https://pagure.io/fedora-kickstarts/pull-request/875 + https://pagure.io/fedora-kickstarts/pull-request/876



This has an automatic freeze exception, as it prevents nonblocking media from composing.

Comment 1 Adam Williamson 2022-03-16 22:18:41 UTC
Merged.

Comment 2 Miro Hrončok 2022-03-17 12:35:31 UTC
Bah, it failed:

BuildError: Failed to parse kickstart file '/var/tmp/koji/tasks/3082/84323082/fedora-kickstarts/fedora-disk-python-classroom.ks' : The following problem occurred on line 12 of the kickstart file:

The part/partition and autopart commands can't be used at the same time



I don't know how to properly combine this with autopart. autopart was added to that kickstart by Petr -- do you know how to make the disk bigger with it?

Comment 3 Peter Robinson 2022-03-17 14:48:35 UTC
> I don't know how to properly combine this with autopart. autopart was added
> to that kickstart by Petr -- do you know how to make the disk bigger with it?

I'm guessing you mean me, not done in kickstart, it's done by the disk in pungi, I suspect this is the line that want's adjusting:

https://pagure.io/pungi-fedora/blob/main/f/fedora.conf#_454

Comment 4 Miro Hrončok 2022-03-17 15:37:47 UTC
Yeah, you. Sorry for the typo in your name.


Oh right, so I will revert my change from https://pagure.io/fedora-kickstarts/pull-request/875 + https://pagure.io/fedora-kickstarts/pull-request/876 and we will edit https://pagure.io/pungi-fedora/blob/main/f/fedora.conf#_454 instead. What does 12 mean here? 12 GiB?

Comment 6 Miro Hrončok 2022-03-20 21:24:43 UTC
The previous fix is now reverted. I'll see what I can do at https://pagure.io/pungi-fedora/blob/main/f/fedora.conf#_454


Note You need to log in before you can comment on or make changes to this bug.